/* Add your CSS styles here */
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
.container {
    display: flex;
    height: calc(90vh - 13vh);
}
.header-user {
    display: flex;
    align-items: center;
    gap: 10px;
}
.user-image-head {
    width: 38px;
    margin-right: 20px;
}
.join-buttons button {
    border: none;
    background: rgb(63, 189, 252);
    padding: 10px 31px;
    font-size: 18px;
    font-weight: 500;
    border-radius: 20px;
    color: white;
    cursor: pointer;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
}
.image-head img {
    width: 9%;
    margin-left: 50px;
}
.user-image-head img {
    width: 100%;
}
.left,
.right {
    flex: 1;
}

body {
    margin: 0px;
    padding: 0px;
    font-family: "Roboto", sans-serif;
}
.right {
    display: flex;
    align-items: center;
}
.left {
    display: flex;
    align-items: center;
    justify-content: center;
}
.heading h3 {
    font-size: 30px;
    font-weight: 500;
}
.user-data-boxss {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.user-data-boxss {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px;
    border-radius: 10px;
    background: white;
}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.dropdown-content a {
    padding: 12px 16px;
    display: block;
}

.meeting-screen {
    background-color: black;
    height: 100vh;
    display: block;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.avatar {
    width: 150px;
    height: 150px;
    background-color: white;
    border-radius: 50%;
    /* Add background image or text for the avatar */
}

.controls {
    margin-top: 20px;
}

.chat-box {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 350px;
    height: 100%;
    background-color: white;
    /*overflow-y: scroll;*/
    z-index: 999;
}

.meeting-box-div {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3px;
}

.chat-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #ccc;
}

.chat-header h2 {
    margin: 0;
}

#closeChatBtn {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 35px;
    color: #333;
}
.header {
    height: 90px;
    display: flex;
    margin-top: 15px;
}
.chat-messages {
    padding: 10px;
    max-height: 70vh;
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
}

.chat-input {
    display: flex;
    padding: 10px;
    position: absolute;
    bottom: 0px;
    flex-direction: column;
    width: 94%;
}

#messageInput {
    flex: 1;
    padding: 10px;
    border: 1px solid #ccc;
    width: 65%;
}

#sendBtn {
    padding: 10px 25px;
    border: none;
    background-color: #007bff;
    color: white;
    cursor: pointer;
    border-radius: 5px;
}
.shar-div {
    width: 100%;
    margin-top: 10px;
}
.shar-div button {
    width: 100%;
    background: #0f7af9c9;
    border: none;
    border-radius: 5px;
    padding: 11px;
    cursor: pointer;
    color: white;
    font-size: 16px;
    font-weight: 500;
}
#sendBtn:hover {
    background-color: #0056b3;
}

.controls button {
    cursor: pointer;
}

.meeting-screen {
    display: block;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    position: relative;
}
.user-name span {
    font-size: 14px;
}
.user-message p {
    margin-top: 6px;
    margin-bottom: 0px;
    font-size: 17px;
}
.download-icon img {
    width: 30px;
}
.download-icon img {
    width: 22px;
}
.file-name p {
    margin-top: 5px;
    margin-bottom: 0px;
    white-space: nowrap;
    width: 190px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.file-message-box {
    margin-top: 15px;
}
.download-icon button {
    border-radius: 50px;
    background: white;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    padding: 5px;
}
.file-data-user {
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* background: red; */
    padding: 10px 10px;
    margin-top: 6px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 1px, rgba(0, 0, 0, 0.23) 0px 1px 1px;
    border-radius: 10px;
}
.user-name p {
    font-size: 15px;
    margin-bottom: 0px;
    font-weight: 500;
    margin-top: 0px;
    text-transform: capitalize;
}
.user-name {
    display: flex;
    align-items: center;
    margin-top: 8px;
    gap: 8px;
}
.avatar-container {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}
.waiting-msg{
    color: #fff;
    position: absolute;
    text-align: center;
    width: 100%;
    top: 25%;
    font-size: 20px;
    text-transform: capitalize;
}
.user-box {
    position: relative;
    height: calc(100vh - 14vh);
    width: 100%;
    background: #000;
    display: flex;
    justify-content: center;
}

.avatar {
    width: 150px;
    height: 150px;
    background-color: white;
    border-radius: 50%;
    /* Add background image or text for the avatar */
}

.cam-rotate{
    display: none;
}

.controls {
    display: flex;
    justify-content: center;
    gap: 20px;
    position: absolute;
    bottom: 20px;
    z-index: 99;
}
.controls button {
    border: none;
    /* padding: 12px; */
    border-bottom: 50%;
    border-radius: 50%;
    width: 60px;
    height: 60px;
}
html{
    overflow-x: auto;
}
.material-icons {
    font-size: 28px !important;
}
button#endCall i {
    color: white;
}
.image-box-data img {
    width: 75%;
    margin-top: 20px;
}
.header {
    height: 90px;
    display: flex;
}
.header-user {
    display: flex;
    align-items: center;
}
.image-box-data {
    display: flex;
    align-items: center;
    justify-content: center;
}
.avatar{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 3em;
    letter-spacing: 0.1em;
    text-transform: uppercase;
}
@media only screen and (min-width: 320px) and (max-width : 479px){
    div#user-mobo {
        width: 120px;
        position: absolute;
        bottom: 19%;
        height: fit-content;
        right: 25px;
    }
    #avatar-mobo {
        flex: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        position: absolute;
        bottom: 0%;
        padding: 35px 10px;
        border-radius: 10px;
        box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
        background: #383737;
    }
    .controls i {
        font-size: 22px !important;
    }
    .avatar {
        width: 100px;
        height: 100px;
        background-color: white;
        border-radius: 50%;
        font-size: 2.2em;
    }
    .controls {
        margin-bottom: 20px;
    }
    .chat-box {
        width: 280px;
    }
    .chat-boxss {
        display: flex;
        gap: 10px;
    }
    .controls button {
        width: 50px;
        height: 50px;
    }
    .user-data-boxss {
        padding: 10px;
    }
    .image-head img {
        width: 50%;
        margin-left: 15px;
    }
    .container {
        flex-direction: column-reverse;
    }
    .left{
        display: block;
    }
    div#user-mobo {
        width: 120px;
        position: absolute;
        bottom: 16%;
        height: 25%;
        z-index: 1;
        /* border: 2px solid red; */
        right: 5%;
        border-radius: 15px;
    }

    .localVideoPlayer video {
        position: absolute;
        object-fit: cover;
        height: auto;
    }

    .localVideoPlayer #avatar-mobo {
        z-index: 999;
    }

    video#myLocalCam {
        height: 166px;
        border-radius: 10px;
    }
    .cam-rotate{
        position: absolute;
        z-index: 1;
        width: 30px;
        bottom: 5px;
        right: 5px;
        filter: invert(1);
        display: block;
    }
}

.user-box{
    position: relative;
}
.user-box video{
    position: absolute;
    object-fit: cover;
    height: 85vh;
}
video{
    transform: scaleX(-1);
}